import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from '../../shared';
import { SalesDebitNoteFileImportContainerModel } from '../../../../../../models/aggregates/erp/sales-debit-note-file-import/index';
export declare class SalesDebitNoteFileImportService extends BaseApiTemplateService<SalesDebitNoteFileImportContainerModel> {
    constructor(http: HttpClient);
    sampleCommaCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    samplePipeCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
